> For the complete documentation index, see [llms.txt](https://docs.paydestal.com/paydestal/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paydestal.com/paydestal/outbound-transfer-pre-requisite.md).

# Outbound Transfer Pre-requisite

You can create one or more outbound payout account number for your NIP or Wallet transfer purpose

Environment Urls

```
Sandbox: https://devbox.paydestal.com/payout
Prod:    https://api.paydestal.com/payout
```

**Secure Outbound Transfer  PIN** <br>

```bash

curl --location 'https://devbox.paydestal.com/payout/api/v1/create-merchant-pin' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your client secret}' \

--data '{
    "pin": "{pin}",
    "pinConfirmation": "{pin}"
}'

```

\
\
**Reset  Outbound Transfer  PIN**

```

curl --location --request PUT 'https://devbox.paydestal.com/payout/api/v1/change-merchant-pin' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your client secret}' \
--data '{
    "oldPin": "{oldPin}",
    "newPin": "{newPin}",
    "newPinConfirmation": "{newPin}"
}'

```

**Secure  Outbound Transfer  Account Number**

**Create  a paydestal outbound transfer account**

```bash
curl --location 'https://devbox.paydestal.com/payout/api/v1/create-payout-wallet' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your client secret key}' \
--data '{
  "customerName": "Sample Plus",
  "bankName": "Palmpay"
}'


bankName Options

SafeHavenMfb, PremiumTrust, Bank78, Fidelity, Palmpay
    
```

**Retrieve Outbound Account Numbers**

```bash

curl --location 'https://devbox.paydestal.com/payout/api/v1/merchant-payout-accounts?page=1&pageSize=20' \
--header 'Authorization: Bearer {your client secret}' 

```
